    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------
    028     * ContourDataset.java
    029     * -------------------
    030     * (C) Copyright 2002-2008, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes (from 23-Jan-2003)
    036     * --------------------------
    037     * 23-Jan-2003 : Added standard header (DG);
    038     * 17-Jan-2004 : Added methods from DefaultContourDataset that are referenced
    039     *               by ContourPlot.  See bug 741048 (DG);
    040     * ------------- JFREECHART 1.0.x ---------------------------------------------
    041     * 31-Jan-2007 : Deprecated (DG);
    042     *
    043     */
    044
    045    package org.jfree.data.contour;
    046
    047    import org.jfree.chart.plot.XYPlot;
    048    import org.jfree.chart.renderer.xy.XYBlockRenderer;
    049    import org.jfree.data.Range;
    050    import org.jfree.data.xy.XYZDataset;
    051
    052    /**
    053     * The interface through which JFreeChart obtains data in the form of (x, y, z)
    054     * items - used for XY and XYZ plots.
    055     *
    056     * @deprecated This interface is no longer supported (as of version 1.0.4).
    057     *     If you are creating contour plots, please try to use {@link XYPlot} and
    058     *     {@link XYBlockRenderer}.
    059     */
    060    public interface ContourDataset extends XYZDataset {
    061
    062        /**
    063         * Returns the smallest Z data value.
    064         *
    065         * @return The minimum Z value.
    066         */
    067        public double getMinZValue();
    068
    069        /**
    070         * Returns the largest Z data value.
    071         *
    072         * @return The maximum Z value.
    073         */
    074        public double getMaxZValue();
    075
    076        /**
    077         * Returns the array of Numbers representing the x data values.
    078         *
    079         * @return The array of x values.
    080         */
    081        public Number[] getXValues();
    082
    083        /**
    084         * Returns the array of Numbers representing the y data values.
    085         *
    086         * @return The array of y values.
    087         */
    088        public Number[] getYValues();
    089
    090        /**
    091         * Returns the array of Numbers representing the z data values.
    092         *
    093         * @return The array of z values.
    094         */
    095        public Number[] getZValues();
    096
    097        /**
    098         * Returns an int array contain the index into the x values.
    099         *
    100         * @return The X values.
    101         */
    102        public int[] indexX();
    103
    104        /**
    105         * Returns the index of the xvalues.
    106         *
    107         * @return The x values.
    108         */
    109        public int[] getXIndices();
    110
    111        /**
    112         * Returns the maximum z-value within visible region of plot.
    113         *
    114         * @param x  the x-value.
    115         * @param y  the y-value.
    116         *
    117         * @return The maximum z-value.
    118         */
    119        public Range getZValueRange(Range x, Range y);
    120
    121        /**
    122         * Returns true if axis are dates.
    123         *
    124         * @param axisNumber  the axis where 0-x, 1-y, and 2-z.
    125         *
    126         * @return <code>true</code> or <code>false</code>.
    127         */
    128        public boolean isDateAxis(int axisNumber);
    129
    130    }